/*
Eteria IRC Client, an RFC 1459 compliant client program written in Java.
Copyright (C) 2000  Javier Kohen <jkohen at tough.com>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

import java.awt.*;
import java.awt.event.*;

class NewChannel extends Frame {
    ServerProcess sp;

    TextField chan;

    NewChannel(ServerProcess sp) {
	super();

	this.sp = sp;

	setTitle(sp.getString("new_channel.s1"));

	GridBagLayout gb = new GridBagLayout();
	GridBagConstraints gbc = new GridBagConstraints();
	
	setLayout(gb);

	gbc.insets = new Insets(4, 4, 4, 4);

	Button b;
	Label l;

	gbc.gridwidth = GridBagConstraints.REMAINDER;
	gbc.fill = GridBagConstraints.HORIZONTAL;
	l = new Label(sp.getString("new_channel.s2"));
	gb.setConstraints(l, gbc);
	add(l);

	gbc.gridy = 1;

	chan = new TextField();
	chan.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent ev) {
		    if (create_channel()) {
			dispose();
		    }
		}
	    });
	gb.setConstraints(chan, gbc);
	add(chan);
	gbc.gridwidth = 1;

	gbc.gridy = 2;

	gbc.weightx = 1.0;

	b = new Button(sp.getString("ok"));
	b.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent ev) {
		    if (create_channel()) {
			dispose();
		    }
		}
	    });
	gb.setConstraints(b, gbc);
	add(b);

	b = new Button(sp.getString("cancel"));
	b.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent ev) {
		    dispose();
		}
	    });
	gb.setConstraints(b, gbc);
	add(b);

	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent e) {
		    dispose();
		}
	    });
    }

    boolean create_channel() {
	String channel = chan.getText();
	if (channel.equals("")) {
	    return false;
	}
	if (!Channel.isChannel(channel)) {
	    channel = "#" + channel;
	}
	String p[] = { channel };
	sp.sendMessage("join", p);

	return true;
    }

    public void requestFocus() {
	chan.requestFocus();
    }

    public void setTextForeground(Color c) {
	chan.setForeground(c);
    }

    public void setTextBackground(Color c) {
	chan.setBackground(c);
    }
}
