/*
Eteria IRC Client, an RFC 1459 compliant client program written in Java.
Copyright (C) 2000  Javier Kohen <jkohen at tough.com>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

import java.awt.*;
import java.awt.event.*;

public class NickServCommander extends Frame {
    ServerProcess sp;

    TextField pass;
    TextField email;

    NickServCommander(ServerProcess sp) {
	this(sp, "");
    }

    NickServCommander(ServerProcess sp, String password) {
	this(sp, password, "");
    }

    NickServCommander(ServerProcess sp_param, String password_param, String email_param) {
	super();

	this.sp = sp_param;

	setTitle(sp.getString("nickserv.title"));

	GridBagLayout gb = new GridBagLayout();
	GridBagConstraints gbc = new GridBagConstraints();
	
	setLayout(gb);

	gbc.insets = new Insets(2, 2, 2, 2);

	Button b;
	Label l;

	l = new Label(sp.getString("nickserv.password"));
	gbc.anchor = GridBagConstraints.EAST;
	gb.setConstraints(l, gbc);
	gbc.anchor = GridBagConstraints.CENTER;
	add(l);

	pass = new TextField(16);
	pass.setEchoChar('*');
	pass.setText(password_param);
	gbc.fill = GridBagConstraints.HORIZONTAL;
	gb.setConstraints(pass, gbc);
	gbc.fill = GridBagConstraints.NONE;
	add(pass);

	gbc.gridy = 1;

	l = new Label(sp.getString("nickserv.email"));
	gbc.anchor = GridBagConstraints.EAST;
	gb.setConstraints(l, gbc);
	gbc.anchor = GridBagConstraints.CENTER;
	add(l);

	email = new TextField(32);
	email.setText(email_param);
	gbc.fill = GridBagConstraints.HORIZONTAL;
	gb.setConstraints(email, gbc);
	gbc.fill = GridBagConstraints.NONE;
	add(email);

	gbc.gridy = 2;

  	GridBagLayout gb2 = new GridBagLayout();
  	GridBagConstraints gbc2 = new GridBagConstraints();
  	Panel button_panel = new Panel(gb2);

    	gbc2.insets.left = gbc2.insets.right = 4;

	b = new Button(sp.getString("nickserv.register"));
	b.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent ev) {
		    String password = pass.getText();
		    if (!password.equals("")) {
			String p[] = { "nickserv", "register " + password + " " + email.getText() };
			sp.sendMessage("privmsg", p);
		    }
		}
	    });
	gb2.setConstraints(b, gbc2);
	button_panel.add(b);

	b = new Button(sp.getString("nickserv.identify"));
	b.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent ev) {
		    String password = pass.getText();
		    if (!password.equals("")) {
			String p[] = { "nickserv", "identify " + password };
			sp.sendMessage("privmsg", p);
		    }
		}
	    });
	gb2.setConstraints(b, gbc2);
	button_panel.add(b);

	b = new Button(sp.getString("ok"));
	b.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent ev) {
		    sp.setConfString("services_password", pass.getText());
		    sp.setConfString("services_email", email.getText());
		    dispose();
		}
	    });
	gb2.setConstraints(b, gbc2);
	button_panel.add(b);

    	gbc.gridwidth = GridBagConstraints.REMAINDER;
	gb.setConstraints(button_panel, gbc);
	gbc.gridwidth = 1;
	add(button_panel);

	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent e) {
		    dispose();
		}
	    });
    }

    public void requestFocus() {
	pass.requestFocus();
    }

    public void setBackground(Color c) {
	super.setBackground(c);
    }

    public void setForeground(Color c) {
	super.setForeground(c);
    }

    public void setTextBackground(Color c) {
	pass.setBackground(c);
	email.setBackground(c);
    }

    public void setTextForeground(Color c) {
	pass.setForeground(c);
        email.setForeground(c);
    }
}
