/*
Eteria IRC Client, an RFC 1459 compliant client program written in Java.
Copyright (C) 2000  Javier Kohen <jkohen at tough.com>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

import java.awt.TextField;
import java.awt.event.*;

public class RFC1459TextField extends TextField {
    public RFC1459TextField() {
	super();

	init();
    }

    public RFC1459TextField(int columns) {
	super(columns);

	init();
    }

    public RFC1459TextField(String text) {
	super(text);

	init();
    }

    public RFC1459TextField(String text, int columns) {
	super(text, columns);

	init();
    }

    void init() {
	addKeyListener(new KeyAdapter() {
		public void keyPressed(KeyEvent e) {
		    char ch = e.getKeyChar();
		    int code = e.getKeyCode();

		    // Consume key if it isn't valid for a nick name
		    if (!e.isActionKey() && !RFC1459.isDeclaredChar(ch)
			&& code != KeyEvent.VK_DELETE
			&& code != KeyEvent.VK_BACK_SPACE
			&& code != KeyEvent.VK_ENTER) {
			e.consume();
		    }
		}
	    });
    }
}
