/*
Eteria IRC Client, an RFC 1459 compliant client program written in Java.
Copyright (C) 2000  Javier Kohen <jkohen at tough.com>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

import java.io.*;

public class Resource {
    /*
     * BUGS:
     *  * Netscape Navigator (tested 4.7x) won't load files from outside a JAR.
     */
    static public byte[] getResource(String name, Object target) throws IOException {
	// It would be simpler if Netscape Navigator supported getResource().
	InputStream is = target.getClass().getResourceAsStream(name);
	BufferedInputStream bis = new BufferedInputStream(is);
	int pos = 0;
	int inc = 4096;
	byte[] id = new byte[inc];

	int i;
	while (-1 != (i = bis.read(id, pos, inc))) {
	    pos += i;

	    // The bigger steps we do, the faster we load.
	    inc = Math.max(4096, bis.available());

	    // Grow ID by using a temporary array.
	    byte[] t = new byte[pos + inc];
	    // Slow copy.
	    for (i = 0; i < pos; i++) {
		t[i] = id[i];
	    }
	    id = t;
	}

	return id;
    }
}
