/*
Eteria IRC Client, an RFC 1459 compliant client program written in Java.
Copyright (C) 2000  Javier Kohen <jkohen at tough.com>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

interface ServerProcess {
    public void processMessage(RemoteMessage m);
    public void sendCommand(String text, OutputWindow target);
    public void sendMessage(String command, String parameters[]);
    public void disconnect();
    public ChannelWindow getChannel(String target);
    public ChannelWindow openChannel(String target);
    public PrivateWindow getPrivate(String target);
    public PrivateWindow openPrivate(String target);
    public void showPanel(String name);
    public String getNick();
    public String getString(String item);
    public java.awt.Image getImage(String name);
    public boolean getConfBoolean(String opt);
    public String getConfString(String opt);
    public void setConfString(String opt, String state);
    public void setConfBoolean(String opt, boolean state);
    public void visitURL(java.net.URL url);
    public void visitURL(java.net.URL url, String target);
}
