/*
 * Copyright (c) 2000 Lyrisoft Solutions, Inc.
 * Used by permission
 */
package com.lyrisoft.awt;

import java.awt.*;

/**
 * Encapulates a Font and a Color
 */
public class TextStyle {
    private Font _font;
    private Color _color;

    public TextStyle(TextStyle t) {
        _font = t._font;
        _color = t._color;
    }

    public TextStyle(Font f, Color c) {
        _font = f;
        _color = c;
    }

    public Font getFont() {
        return _font;
    }

    public void setFont(Font f) {
        _font = f;
    }

    public Color getColor() {
        return _color;
    }

    public void setColor(Color c) {
        _color = c;
    }

    public String toString() {
	String p1 = null != _font ? _font.toString() : "null";
	String p2 = null != _color ? _color.toString() : "null";

	return "com.lyrisoft.awt.TextStyle[font=".concat(p1).
	    concat(",color=").concat(p2).concat("]");
    }
}
